Subject: Re: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries

From: Pierre Neidhardt <[email-masked]>
Date: Tue, 14 Jan 2020 11:25:39 +0100

Konrad Hinsen <[email-masked]> writes:

> Not with shared libraries in Guix, I agree. But the problem was with
> shared libraries from the foreign distros. Guix actually tries hard
> *not* to make them accessible (in order to ensure reproducibility),
> so I wonder if this bug should be closed as "not a bug".

The snippet I shared above allows the user to set SBCL to libraries from
the given locations.
I can't see why this wouldn't work on a foreign distribution.  But let's
wait until Evan shares his complete setup.

-- 
Pierre Neidhardt
https://ambrevar.xyz/